S2-005 远程代码执行漏洞检测与利用

版权声明:没有注明参考链接,均为原创,如有侵权,请联系博主! https://blog.csdn.net/qq_29647709/article/details/84949988

s2-005漏洞的起源源于S2-003(受影响版本: 低于Struts 2.0.12),struts2会将http的每个参数名解析为OGNL语句执行(可理解为java代码)。OGNL表达式通过#来访问struts的对象,struts框架通过过滤#字符防止安全问题,然而通过unicode编码(\u0023)或8进制(\43)即绕过了安全限制,对于S2-003漏洞,官方通过增加安全配置(禁止静态方法调用和类方法执行等)来修补,但是安全配置被绕过再次导致了漏洞,攻击者可以利用OGNL表达式将这2个选项打开,S2-003的修补方案把自己上了一个锁,但是把锁钥匙给插在了锁头上

漏洞记录

S2-005
CVE-2010-1870
Struts 2.0.0-2.1.8.1
http://struts.apache.org/release/2.2.x/docs/s2-005.html
S2-016范围内

漏洞检测及利用

漏洞存在
在这里插入图片描述
执行命令:
在这里插入图片描述

展开阅读全文

没有更多推荐了,返回首页